//Titel:        JTree
//Version:       1.0
//Copyright:     Copyright (c) 2003, 06
//Autor:         Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
//Organisation:  HS Harz
//Beschreibung:  Einführung in JTree

// Beispiel mit JTree, Konstruktor mit einem Vector
// Alle Knoten werden als Liste dargestellt

import java.awt.*;
import javax.swing.*;

import java.awt.event.*;

import java.util.Vector;

import javax.swing.tree.DefaultMutableTreeNode;


import java.io.*;

/*
Beispiel mit JTree, Konstruktor mit einem Vector
Alle Knoten werden als Liste dargestellt
*/

public class Tree03 extends JFrame {

  JTree jTree1;

  public Tree03() {
    setGUI();
  }

  private void setGUI()  {
    Vector v = new Vector();
    Vector v2 = new Vector();

    for (int i=0; i<10; i++) {
      v2.add(  new Integer(i+1) );
    }

    for (int i=0; i<1000; i++) {
      v.add(  new Integer(i+1) );
    }

    setSize(400, 300);
    setTitle("JTree 3. Beispiel");
    this.getContentPane().setLayout( new BorderLayout() );

      // BuildTree generiert den Baum, gibt die Wurzel zurück
    jTree1 = new javax.swing.JTree(v);
    JScrollPane sp = new JScrollPane(jTree1);

    this.getContentPane().add(sp, BorderLayout.CENTER);
    // Neue Version
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

  } // setGUI



  //Überschreiben, damit das Programm bei Herunterfahren des Systems beendet werden kann
  /*
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
  */

  public static void main(String[] args) {
    Tree03 frame = new Tree03();
    frame.setVisible(true);
 }


}


